DecoderException.ResultID

com.hsm.barcode

## Class DecoderException.ResultID

- java.lang.Object
- - com.hsm.barcode.DecoderException.ResultID

- Enclosing class:
    DecoderException

      public static final class DecoderException.ResultID
      extends java.lang.Object

  Exception result codes for all functions. Note: RESULT_SUCCESS will not throw an exception, but all other errors will.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RESULT_ERR_BADREGION` An image was requested using an invalid image region
    `static int` | `RESULT_ERR_BADSMARTIMAGE` IQ image fail
    `static int` | `RESULT_ERR_CANCEL` Asynchronous decode was canceled
    `static int` | `RESULT_ERR_DRIVER` Error detected in image engine driver
    `static int` | `RESULT_ERR_ENGINEBUSY` Image engine driver reported busy
    `static int` | `RESULT_ERR_EXCEPTION` An exception was detected in the deoder
    `static int` | `RESULT_ERR_EXMFILE_INVALID` Not a valid configuration file.
    `static int` | `RESULT_ERR_LOAD_EXMFILE` Error loading EXM file.
    `static int` | `RESULT_ERR_MEMORY` Memory allocation failed
    `static int` | `RESULT_ERR_MISSING_EXMSECTION` Section missing from exm file.
    `static int` | `RESULT_ERR_NODATA` No data to send
    `static int` | `RESULT_ERR_NODECODE` Image engine unable to decode a symbology
    `static int` | `RESULT_ERR_NOIMAGE` No image available
    `static int` | `RESULT_ERR_NORESPONSE` Could not communicate with imager
    `static int` | `RESULT_ERR_NOTCONNECTED` Not connected to image engine
    `static int` | `RESULT_ERR_NOTRIGGER` Trigger state is false
    `static int` | `RESULT_ERR_PARAMETER` One of the function parameters was invalid
    `static int` | `RESULT_ERR_PROCESSING_EXMSECTION` Error processing exm file section.
    `static int` | `RESULT_ERR_SMARTIMAGETOOLARGE` Requested IQ image too large
    `static int` | `RESULT_ERR_THREAD` Could not create async decode thread
    `static int` | `RESULT_ERR_TOO_MUCH_INTERPOLATION` IQ image fail
    `static int` | `RESULT_ERR_UNSUPPORTED` The operation was not supported by the engine
    `static int` | `RESULT_ERR_UNSUPPORTED_IQ_BARCODE` Scanned barcode is not a valid IQ host barcode
    `static int` | `RESULT_ERR_WRONGRESULTSTRUCT` Invalid structure size
    `static int` | `RESULT_INITIALIZE` Initialize
    `static int` | `RESULT_SUCCESS` Operation was successful

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESULT_INITIALIZE

          public static final int RESULT_INITIALIZE

      Initialize
      See Also:
        Constant Field Values

    - #### RESULT_SUCCESS

          public static final int RESULT_SUCCESS

      Operation was successful
      See Also:
        Constant Field Values

    - #### RESULT_ERR_BADREGION

          public static final int RESULT_ERR_BADREGION

      An image was requested using an invalid image region
      See Also:
        Constant Field Values

    - #### RESULT_ERR_DRIVER

          public static final int RESULT_ERR_DRIVER

      Error detected in image engine driver
      See Also:
        Constant Field Values

    - #### RESULT_ERR_ENGINEBUSY

          public static final int RESULT_ERR_ENGINEBUSY

      Image engine driver reported busy
      See Also:
        Constant Field Values

    - #### RESULT_ERR_MEMORY

          public static final int RESULT_ERR_MEMORY

      Memory allocation failed
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NODECODE

          public static final int RESULT_ERR_NODECODE

      Image engine unable to decode a symbology
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NOIMAGE

          public static final int RESULT_ERR_NOIMAGE

      No image available
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NORESPONSE

          public static final int RESULT_ERR_NORESPONSE

      Could not communicate with imager
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NOTCONNECTED

          public static final int RESULT_ERR_NOTCONNECTED

      Not connected to image engine
      See Also:
        Constant Field Values

    - #### RESULT_ERR_PARAMETER

          public static final int RESULT_ERR_PARAMETER

      One of the function parameters was invalid
      See Also:
        Constant Field Values

    - #### RESULT_ERR_UNSUPPORTED

          public static final int RESULT_ERR_UNSUPPORTED

      The operation was not supported by the engine
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NOTRIGGER

          public static final int RESULT_ERR_NOTRIGGER

      Trigger state is false
      See Also:
        Constant Field Values

    - #### RESULT_ERR_BADSMARTIMAGE

          public static final int RESULT_ERR_BADSMARTIMAGE

      IQ image fail
      See Also:
        Constant Field Values

    - #### RESULT_ERR_SMARTIMAGETOOLARGE

          public static final int RESULT_ERR_SMARTIMAGETOOLARGE

      Requested IQ image too large
      See Also:
        Constant Field Values

    - #### RESULT_ERR_TOO_MUCH_INTERPOLATION

          public static final int RESULT_ERR_TOO_MUCH_INTERPOLATION

      IQ image fail
      See Also:
        Constant Field Values

    - #### RESULT_ERR_WRONGRESULTSTRUCT

          public static final int RESULT_ERR_WRONGRESULTSTRUCT

      Invalid structure size
      See Also:
        Constant Field Values

    - #### RESULT_ERR_THREAD

          public static final int RESULT_ERR_THREAD

      Could not create async decode thread
      See Also:
        Constant Field Values

    - #### RESULT_ERR_CANCEL

          public static final int RESULT_ERR_CANCEL

      Asynchronous decode was canceled
      See Also:
        Constant Field Values

    - #### RESULT_ERR_EXCEPTION

          public static final int RESULT_ERR_EXCEPTION

      An exception was detected in the deoder
      See Also:
        Constant Field Values

    - #### RESULT_ERR_UNSUPPORTED_IQ_BARCODE

          public static final int RESULT_ERR_UNSUPPORTED_IQ_BARCODE

      Scanned barcode is not a valid IQ host barcode
      See Also:
        Constant Field Values

    - #### RESULT_ERR_LOAD_EXMFILE

          public static final int RESULT_ERR_LOAD_EXMFILE

      Error loading EXM file.
      See Also:
        Constant Field Values

    - #### RESULT_ERR_EXMFILE_INVALID

          public static final int RESULT_ERR_EXMFILE_INVALID

      Not a valid configuration file.
      See Also:
        Constant Field Values

    - #### RESULT_ERR_MISSING_EXMSECTION

          public static final int RESULT_ERR_MISSING_EXMSECTION

      Section missing from exm file.
      See Also:
        Constant Field Values

    - #### RESULT_ERR_PROCESSING_EXMSECTION

          public static final int RESULT_ERR_PROCESSING_EXMSECTION

      Error processing exm file section.
      See Also:
        Constant Field Values

    - #### RESULT_ERR_NODATA

          public static final int RESULT_ERR_NODATA

      No data to send
      See Also:
        Constant Field Values